/******************************************************************************
 JXSafetySaveTask.h

	Interface for the JXSafetySaveTask class

	Copyright © 1997 by John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JXSafetySaveTask
#define _H_JXSafetySaveTask

#include <JXIdleTask.h>

class JXDocumentManager;

class JXSafetySaveTask : public JXIdleTask
{
public:

	JXSafetySaveTask(JXDocumentManager* docMgr);

	virtual ~JXSafetySaveTask();

	virtual void	Perform(const Time delta, Time* maxSleepTime);

private:

	JXDocumentManager*	itsDocMgr;		// owns us

private:

	// not allowed

	JXSafetySaveTask(const JXSafetySaveTask& source);
	const JXSafetySaveTask& operator=(const JXSafetySaveTask& source);
};

#endif
